## vidalia 0.2.9

=== CMakeLists.txt ===
##
##  $Id: CMakeLists.txt 4301 2010-05-20 23:22:33Z edmanm $
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.vidalia-project.net/. No part of Vidalia, including this file,
##  may be copied, modified, propagated, or distributed except according to
##  the terms described in the LICENSE file.
##


set(VER_MAJOR   "0")
set(VER_MINOR   "2")
set(VER_PATCH   "9")
set(VERSION     "${VER_MAJOR}.${VER_MINOR}.${VER_PATCH}")
message(STATUS  "Configuring Vidalia ${VERSION}")
project(Vidalia)

## Specify the minimim required CMake version
cmake_minimum_required(VERSION 2.4.7)
if (COMMAND cmake_policy)
  # Force CMake 2.4 compatibility for handling linker search paths
  cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

## We declare this option here, because it determines the minimum
## required Qt version
option(USE_MARBLE "Enable the KDE Marble-based map widget." OFF)

## Specify the minimum version of Qt required
set(QT_MIN_VERSION    "4.3.0")

## Specify the Qt libraries used
include(FindQt4)
find_package(Qt4 REQUIRED)
set(QT_USE_QTNETWORK  true)
set(QT_USE_QTXML      true)
if (USE_MARBLE)
  set(QT_USE_QTSVG    true)
  set(QT_USE_QTWEBKIT true)
  set(QT_USE_QTSCRIPT true)
  set(QT_USE_QTDBUS   true)
endif(USE_MARBLE)
include(${QT_USE_FILE})
include(${CMAKE_SOURCE_DIR}/cmake/VidaliaMacros.cmake)
include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckTypeSize)
include(CheckFunctionExists)
if (WIN32)
  include(${CMAKE_SOURCE_DIR}/cmake/FindWiX.cmake)
endif(WIN32)
if (MSVC OR UNIX)
  include(${CMAKE_SOURCE_DIR}/cmake/FindOpenSSL.cmake)
endif(MSVC OR UNIX)

if(MSVC_IDE)
    set(CMAKE_SUPPRESS_REGENERATION TRUE)
    set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
    set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
endif(MSVC_IDE)
  
## Define Vidalia-specific CMake options
if (APPLE)
  option(OSX_TIGER_COMPAT "Build an OS X 10.4 Compatible Vidalia." OFF)
  if (OSX_TIGER_COMPAT)
    set(CMAKE_EXE_LINKER_FLAGS "-mmacosx-version-min=10.4"
      CACHE STRING "Flags used by the linker." FORCE)
    set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk"
      CACHE STRING "isysroot used for universal binary support" FORCE)
  endif(OSX_TIGER_COMPAT)

  option(OSX_FAT_BINARY "Build Vidalia as a Universal binary." OFF)
  if (OSX_FAT_BINARY)
    set(CMAKE_OSX_ARCHITECTURES "ppc;i386" 
        CACHE STRING "OS X build architectures" FORCE)
    set(CMAKE_EXE_LINKER_FLAGS "-mmacosx-version-min=10.4"
        CACHE STRING "Flags used by the linker." FORCE)
    set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk"
        CACHE STRING "isysroot used for universal binary support" FORCE)
  endif(OSX_FAT_BINARY)

  option(OSX_FORCE_32BIT "Force a 32-bit build for compatibility." OFF)
  if (OSX_FORCE_32BIT)
    add_definitions(-m32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m32" 
        CACHE STRING "Flags used by the linker." FORCE)
  endif(OSX_FORCE_32BIT)
endif(APPLE)

## UPnP support is currently optional (enabled by default)
option(USE_MINIUPNPC "Enable UPnP support using the MiniUPnPc library." ON)

## Crash reporting via Google Breakpad is optional (disabled by default)
option(USE_BREAKPAD "Enable Google Breakpad crash reporting." OFF)
if (USE_BREAKPAD)
  include(${CMAKE_SOURCE_DIR}/cmake/FindBreakpad.cmake)
endif(USE_BREAKPAD)

## Automatic software update is optional (disabled by default)
if (WIN32)
  option(USE_AUTOUPDATE "Enable automatic software update support." OFF)
endif(WIN32)

## Find the KDE Marble library
if (USE_MARBLE)
  include(${CMAKE_SOURCE_DIR}/cmake/FindMarble.cmake)
endif(USE_MARBLE)

## Check for system header files
check_include_file("limits.h" HAVE_LIMITS_H)
check_include_file("sys/limits.h" HAVE_SYS_LIMITS_H)
check_include_file("signal.h" HAVE_SIGNAL_H)

## Check for the sizes of various data types
check_type_size(int SIZEOF_INT)

## Check for the existence of some platform-specific functions
if (HAVE_SIGNAL_H)
  set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "signal.h")
  check_function_exists(sigaction HAVE_SIGACTION)
  check_function_exists(signal HAVE_SIGNAL)
endif(HAVE_SIGNAL_H)

## Write out a configuration file
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

## Add the actual source directories
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(pkg)

=== src/common/CMakeLists.txt ===
##
##  $Id: CMakeLists.txt 4276 2010-04-29 04:54:29Z edmanm $
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.vidalia-project.net/. No part of Vidalia, including this file,
##  may be copied, modified, propagated, or distributed except according to
##  the terms described in the LICENSE file.
##


set(common_SRCS
  CountryInfo.cpp
  crypto.cpp
  file.cpp
  html.cpp
  Log.cpp
  net.cpp
  procutil.cpp
  stringutil.cpp
  TorSocket.cpp
  TorSslSocket.cpp
  ZlibByteArray.cpp
)
qt4_wrap_cpp(common_SRCS 
  CountryInfo.h
  TorSocket.h
  TorSslSocket.h
)

if(WIN32)
  set(common_SRCS ${common_SRCS}
    win32.cpp
  )
endif(WIN32)


add_library(common STATIC ${common_SRCS})
target_link_libraries(common
  ${QT_QTCORE_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
)

if(OPENSSL_LIBRARIES)
  target_link_libraries(common ${OPENSSL_LIBRARIES})
endif(OPENSSL_LIBRARIES)
if (APPLE)
  include(FindZLIB)
  target_link_libraries(common ${ZLIB_LIBRARIES})
endif(APPLE)

=== src/miniupnpc/CMakeLists.txt ===
##
##  $Id: CMakeLists.txt 4274 2010-04-28 21:47:18Z edmanm $
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.vidalia-project.net/. No part of Vidalia, including this file,
##  may be copied, modified, propagated, or distributed except according to
##  the terms described in the LICENSE file.
##

add_definitions(-DSTATICLIB -DNDEBUG)

set(miniupnpc_SRCS
  igd_desc_parse.c
  minisoap.c
  miniupnpc.c
  miniwget.c
  minixml.c
  upnpcommands.c
  upnperrors.c
  upnpreplyparse.c
  connecthostport.c
)
if (NOT WIN32)
  set(miniupnpc_SRCS ${miniupnpc_SRCS} minissdpc.c)
endif(NOT WIN32)

add_library(miniupnpc STATIC ${miniupnpc_SRCS})
if (WIN32)
  add_definitions(-D_WIN32_WINNT=0x0501)
  target_link_libraries(miniupnpc ws2_32)
endif(WIN32)

=== src/vidalia/CMakeLists.txt ===
##
##  $Id: CMakeLists.txt 4227 2010-02-25 04:03:32Z edmanm $
## 
##  This file is part of Vidalia, and is subject to the license terms in the
##  LICENSE file, found in the top level directory of this distribution. If 
##  you did not receive the LICENSE file with this file, you may obtain it
##  from the Vidalia source package distributed by the Vidalia Project at
##  http://www.vidalia-project.net/. No part of Vidalia, including this file,
##  may be copied, modified, propagated, or distributed except according to
##  the terms described in the LICENSE file.
##


include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/about
  ${CMAKE_CURRENT_SOURCE_DIR}/bwgraph
  ${CMAKE_CURRENT_SOURCE_DIR}/config
  ${CMAKE_CURRENT_SOURCE_DIR}/help/browser
  ${CMAKE_CURRENT_SOURCE_DIR}/log
  ${CMAKE_CURRENT_SOURCE_DIR}/network
  ${MARBLE_INCLUDE_DIR}
)

if (USE_BREAKPAD AND BREAKPAD_INCLUDE_DIR)
  include_directories(${BREAKPAD_INCLUDE_DIR})
endif(USE_BREAKPAD AND BREAKPAD_INCLUDE_DIR)

if (USE_MARBLE)
  if (APPLE OR WIN32)
  ##
  ## XXX: The Marble build system on OS X currently doesn't actually install the
  ## required include files to /usr/local/include or similar. Instead, we have
  ## to pluck them directly from the source tree. Ick.
  ##
    include_directories(
      ${MARBLE_INCLUDE_DIR}/AbstractLayer
      ${MARBLE_INCLUDE_DIR}/geodata
      ${MARBLE_INCLUDE_DIR}/geodata/data
      ${MARBLE_INCLUDE_DIR}/geodata/handlers
      ${MARBLE_INCLUDE_DIR}/geodata/parser
      ${MARBLE_INCLUDE_DIR}/geodata/scene
      ${MARBLE_INCLUDE_DIR}/Projections
    )
  endif(APPLE OR WIN32)
endif(USE_MARBLE)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/res/vidalia_win.rc.in
  ${CMAKE_CURRENT_SOURCE_DIR}/res/vidalia_win.rc
)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/i18n/vidalia_i18n.qrc
  ${CMAKE_CURRENT_BINARY_DIR}/i18n/vidalia_i18n.qrc
)

## Process the translation files
add_subdirectory(i18n)

## About dialog sources
set(vidalia_SRCS 
  about/AboutDialog.cpp
  about/LicenseDialog.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  about/AboutDialog.h
  about/LicenseDialog.h
)

## Bandwidth graph sources
set(vidalia_SRCS ${vidalia_SRCS}
  bwgraph/BandwidthGraph.cpp
  bwgraph/GraphFrame.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  bwgraph/BandwidthGraph.h
  bwgraph/GraphFrame.h
)

## Configuration dialog sources
set(vidalia_SRCS ${vidalia_SRCS}
  config/AbstractTorSettings.cpp
  config/AdvancedPage.cpp
  config/AppearancePage.cpp
  config/BridgeDownloader.cpp
  config/BridgeDownloaderProgressDialog.cpp
  config/BridgeUsageDialog.cpp
  config/ConfigDialog.cpp
  config/ConfigPageStack.cpp
  config/DomainValidator.cpp
  config/ExitPolicy.cpp
  config/GeneralPage.cpp
  config/IpValidator.cpp
  config/NetworkPage.cpp
  config/NetworkSettings.cpp
  config/NicknameValidator.cpp
  config/Policy.cpp
  config/PortValidator.cpp
  config/ServerPage.cpp
  config/ServerSettings.cpp
  config/Service.cpp
  config/ServiceList.cpp
  config/ServicePage.cpp
  config/ServiceSettings.cpp
  config/TorSettings.cpp
  config/VidaliaSettings.cpp
  config/VSettings.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  config/AbstractTorSettings.h
  config/AdvancedPage.h
  config/AppearancePage.h
  config/BridgeDownloader.h
  config/BridgeDownloaderProgressDialog.h
  config/BridgeUsageDialog.h
  config/ConfigDialog.h
  config/ConfigPage.h
  config/ConfigPageStack.h
  config/DomainValidator.h
  config/GeneralPage.h
  config/NetworkPage.h
  config/NetworkSettings.h
  config/NicknameValidator.h
  config/PortValidator.h
  config/ServerPage.h
  config/ServerSettings.h
  config/ServicePage.h
  config/TorSettings.h
  config/VidaliaSettings.h
  config/VSettings.h
)
if (USE_MINIUPNPC)
  include_directories(${MINIUPNPC_INCLUDE_DIR})
  set(vidalia_SRCS ${vidalia_SRCS}
    config/UPNPControl.cpp
    config/UPNPControlThread.cpp
    config/UPNPTestDialog.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    config/UPNPControl.h
    config/UPNPControlThread.h
    config/UPNPTestDialog.h
  )
endif(USE_MINIUPNPC)

## Help browser sources
set(vidalia_SRCS ${vidalia_SRCS}
  help/browser/HelpBrowser.cpp
  help/browser/HelpTextBrowser.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  help/browser/HelpBrowser.h
  help/browser/HelpTextBrowser.h
)

## Message log sources
set(vidalia_SRCS ${vidalia_SRCS}
  log/LogFile.cpp
  log/LogHeaderView.cpp
  log/LogMessageColumnDelegate.cpp
  log/LogTreeItem.cpp
  log/LogTreeWidget.cpp
  log/MessageLog.cpp
  log/StatusEventItem.cpp
  log/StatusEventItemDelegate.cpp
  log/StatusEventWidget.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  log/LogFile.h
  log/LogHeaderView.h
  log/LogTreeWidget.h
  log/MessageLog.h
  log/StatusEventItemDelegate.h
  log/StatusEventWidget.h
)

## Network map sources
set(vidalia_SRCS ${vidalia_SRCS}
  network/CircuitItem.cpp
  network/CircuitListWidget.cpp
  network/GeoIpCache.cpp
  network/GeoIpCacheItem.cpp
  network/GeoIp.cpp
  network/GeoIpRequest.cpp
  network/GeoIpResolver.cpp
  network/GeoIpResponse.cpp
  network/NetViewer.cpp
  network/RouterDescriptorView.cpp
  network/RouterInfoDialog.cpp
  network/RouterListItem.cpp
  network/RouterListWidget.cpp
  network/StreamItem.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  network/CircuitListWidget.h
  network/GeoIpCache.h
  network/GeoIpResolver.h
  network/NetViewer.h
  network/RouterDescriptorView.h
  network/RouterInfoDialog.h
  network/RouterListWidget.h
)
if (USE_MARBLE)
  set(vidalia_SRCS ${vidalia_SRCS}
    network/TorMapWidget.cpp
    network/TorMapWidgetInputHandler.cpp
    network/TorMapWidgetPopupMenu.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    network/TorMapWidget.h
    network/TorMapWidgetInputHandler.h
    network/TorMapWidgetPopupMenu.h
  )
else(USE_MARBLE)
  set(vidalia_SRCS ${vidalia_SRCS}
    network/TorMapImageView.cpp
    network/ZImageView.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    network/TorMapImageView.h
    network/ZImageView.h
  )
endif(USE_MARBLE)

## Main Vidalia sources
set(vidalia_SRCS ${vidalia_SRCS}
  main.cpp
  Vidalia.cpp
  LanguageSupport.cpp
  MainWindow.cpp
  VClickLabel.cpp
  VidaliaWindow.cpp
  VMessageBox.cpp
  HelperProcess.cpp
  ControlPasswordInputDialog.cpp
)
qt4_wrap_cpp(vidalia_SRCS
  Vidalia.h
  MainWindow.h
  VClickLabel.h
  VidaliaWindow.h
  VMessageBox.h
  HelperProcess.h
  ControlPasswordInputDialog.h
)
if (USE_BREAKPAD)
  set(vidalia_SRCS ${vidalia_SRCS}
    CrashReporter.cpp
  )
endif(USE_BREAKPAD)

## Specify all the Qt Designer .ui files
qt4_wrap_ui(vidalia_SRCS
  ControlPasswordInputDialog.ui
  MainWindow.ui
  about/AboutDialog.ui
  about/LicenseDialog.ui
  bwgraph/BandwidthGraph.ui
  config/AdvancedPage.ui
  config/AppearancePage.ui
  config/BridgeDownloaderProgressDialog.ui
  config/BridgeUsageDialog.ui
  config/ConfigDialog.ui
  config/GeneralPage.ui
  config/NetworkPage.ui
  config/ServerPage.ui
  config/ServicePage.ui
  help/browser/HelpBrowser.ui
  log/MessageLog.ui
  network/NetViewer.ui
  network/RouterInfoDialog.ui
)

if (USE_MINIUPNPC)
  qt4_wrap_ui(vidalia_SRCS config/UPNPTestDialog.ui)
endif(USE_MINIUPNPC)

if (USE_AUTOUPDATE)
  set(vidalia_SRCS ${vidalia_SRCS}
    PackageInfo.cpp
    UpdateProcess.cpp
    UpdateProgressDialog.cpp
    UpdatesAvailableDialog.cpp
  )
  qt4_wrap_cpp(vidalia_SRCS
    UpdateProcess.h
    UpdateProgressDialog.h
    UpdatesAvailableDialog.h
  )
  qt4_wrap_ui(vidalia_SRCS
    UpdateProgressDialog.ui
    UpdatesAvailableDialog.ui
  )
endif(USE_AUTOUPDATE)

## Add the resource files (icons, etc.)
qt4_add_resources(vidalia_SRCS
  res/vidalia.qrc
  help/content/content.qrc
  ${CMAKE_CURRENT_BINARY_DIR}/i18n/vidalia_i18n.qrc
)

## Specify the map data Marble will need
set(marble_DATA
  landcolors.leg
  seacolors.leg
  maps/earth/bluemarble/bluemarble.dgml
  maps/earth/citylights/citylights.dgml
  maps/earth/srtm/srtm.dgml
  maps/earth/srtm/srtm.jpg
  mwdbii/DATELINE.PNT
  mwdbii/PAUST.PNT
  mwdbii/PBORDER.PNT
  mwdbii/PCANPROV.PNT
  mwdbii/PCOAST.PNT
  mwdbii/PDIFFBORDER.PNT
  mwdbii/PGLACIER.PNT
  mwdbii/PISLAND.PNT
  mwdbii/PLAKE.PNT
  mwdbii/PLAKEISLAND.PNT
  mwdbii/PMEXICO.PNT
  mwdbii/PUSA48.DIFF.PNT
  mwdbii/PUSA48.PNT
  mwdbii/RIVER.PNT
  placemarks/baseplacemarks.cache
  placemarks/boundaryplacemarks.cache
  placemarks/elevplacemarks.cache
  stars/stars.dat
  svg/worldmap.svg
)

## Set the appropriate executable target for the current platform
if (APPLE)
  ## Set the output file name (make it uppercase on OS X)
  set(vidalia_BIN Vidalia)
  
  ## Create an OS X application bundle
  set(MACOSX_BUNDLE_BUNDLE_NAME           Vidalia)
  set(MACOSX_BUNDLE_BUNDLE_VERSION        ${VERSION})
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING  ${VERSION})
  set(MACOSX_BUNDLE_LONG_VERSION_STRING   "Version ${VERSION}")
  set(MACOSX_BUNDLE_ICON_FILE             vidalia.icns)
  set(MACOSX_BUNDLE_GUI_IDENTIFIER        "net.vidalia-project.vidalia")
  set(MACOSX_BUNDLE_INFO_STRING           "Vidalia ${VERSION}")

  ## Put everything inside the application bundle
  set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/)
  add_executable(${vidalia_BIN} MACOSX_BUNDLE ${vidalia_SRCS})

  ## Get the location of the app bundle for the current configuration
  get_target_property(VIDALIA_EXECUTABLE ${vidalia_BIN} LOCATION)
  get_filename_component(MACOSX_BUNDLE_DIRECTORY ${VIDALIA_EXECUTABLE} PATH)
  get_filename_component(MACOSX_BUNDLE_DIRECTORY "${MACOSX_BUNDLE_DIRECTORY}/../../" ABSOLUTE)

  ## Include the bundle resource files
  add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
    COMMAND ${CMAKE_COMMAND}
      ARGS -E make_directory ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources
    COMMAND cp
      ARGS ${CMAKE_CURRENT_SOURCE_DIR}/res/icons/*.icns 
           ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/
  )

  if (USE_MARBLE)
    ## Copy the Marble data into the bundle
    foreach(it ${marble_DATA})
      get_filename_component(outdir  ${it} PATH)
      get_filename_component(outfile ${it} NAME)
      set(outdir ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/data/${outdir})

      add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
        COMMAND ${CMAKE_COMMAND}
          ARGS -E make_directory ${outdir}
        COMMAND ${CMAKE_COMMAND}
          ARGS -E copy_if_different 
                ${MARBLE_DATA_DIR}/${it} ${outdir}/${outfile}
      )
    endforeach(it)

    ## Create the Marble plugins directory and copy in any wanted plugins
    if (MARBLE_PLUGINS)
      add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
        COMMAND ${CMAKE_COMMAND}
          ARGS -E make_directory 
               ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/plugins
      )
      foreach(it ${MARBLE_PLUGINS})
        add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
          COMMAND ${CMAKE_COMMAND}
            ARGS -E copy_if_different ${it}
             ${MACOSX_BUNDLE_DIRECTORY}/Contents/Resources/plugins/
        )
      endforeach(it)
    endif(MARBLE_PLUGINS)
  endif(USE_MARBLE)
else(APPLE)
  ## Set the output file name
  set(vidalia_BIN vidalia)

  if (WIN32)
    ## Create a Windows binary
    win32_add_rc(vidalia_SRCS res/vidalia_win.rc)
    add_executable(${vidalia_BIN} WIN32 ${vidalia_SRCS})

    ## Copy the Marble data into the data/ directory under the binary
    if (USE_MARBLE)
      foreach(it ${marble_DATA})
        get_filename_component(outdir  ${it} PATH)
        get_filename_component(outfile ${it} NAME)

        add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
          COMMAND ${CMAKE_COMMAND}
            ARGS -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/${outdir}
          COMMAND ${CMAKE_COMMAND}
            ARGS -E copy_if_different ${MARBLE_DATA_DIR}/${it} 
                                      ${CMAKE_CURRENT_BINARY_DIR}/data/${it}
        )
      endforeach(it)

      ## Create the Marble plugins directory and copy in any wanted plugins
      if (MARBLE_PLUGINS)
        add_custom_command(TARGET ${vidalia_BIN} POST_BUILD
          COMMAND ${CMAKE_COMMAND}
            ARGS -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/plugins/marble
        )
        foreach(it ${MARBLE_PLUGINS})

=== debian/changelog ===
vidalia (0.2.9-1) unstable; urgency=low
 
  [ Vern Sun ]
  * New lintian addition "missing-debian-source-format", Switch package
    format to 3.0 (quilt).
  * Add lintian override about unused-debconf-template which are used via
    variables $question.
  * Updated Build-Depends: debhelper (>= 6.0.7~) (for dh_lintian).

  [ Ulises Vitulli ]
  * New upstream release.
  * The 'Cowabunga' upload.
  * Reviewed Debconf templates by l10n Team (Closes: #579715),
    Thanks Christian Perrier:
    - Portuguese, thanks Américo Monteiro (Closes: #579767).
    - Czech, thanks Martin Sin (Closes: #579785).
    - Russian, thanks Yuri Kozlov (Closes: #579818).
    - Swedish, thanks Martin Bagge (Closes: #580138).
    - Italian, thanks Vincenzo Campanella (Closes: #580178).
    - French, thanks Christian Perrier (Closes: #580612).
    - German, thanks Martin.E.Schauer (Closes: #580903).
    - Spanish, thanks Francisco Javier Cuadrado (Closes: #581492).
    - Simplified Chinese, thanks Simplified Chinese Team (Closes: #581563).

  * New debconf translations:
    - Danish, thanks Joe Hansen (Closes: #580123).
    - Vietnamese, thanks Clytie Siddall (Closes: #581532).

  * Cleaned patching target, we now handle them through 3.0 source format.
  * Cleaned repackaging target, we don't have to deal with them anylonger.
  * Updated some files missing on debian/copyright.
  * Improved package description and proper l10n.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Thu, 20 May 2010 21:38:33 -0300

vidalia (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * New debconf translations:
    - Portuguese (Closes: #577000).
    - Russian (Closes: #577162).

 -- Erinn Clark <erinn@torproject.org>  Sat, 17 Apr 2010 18:54:45 -0700

vidalia (0.2.7-3) unstable; urgency=low

  * Fix broken config script.

 -- Erinn Clark <erinn@torproject.org>  Mon, 05 Apr 2010 02:56:03 -0700

vidalia (0.2.7-2) unstable; urgency=low

  * Add option to debconf question to disable Tor on boot in concert with Tor's
    recent sourcing of /etc/default/tor.vidalia. (Closes: #542671)

 -- Erinn Clark <erinn@torproject.org>  Sun, 04 Apr 2010 20:16:07 -0700

vidalia (0.2.7-1) unstable; urgency=low

  * New upstream release (Closes: #566931).
    - Droping pkg from experimental, now going to unstable.
    - Drop 0.1.x stable branch in favor of 0.2.x, due to devel matureness.
    - Removing kFreeBSD-gcc4.4-fix.patch. Patch accepted and applied on
      upstream side before this package to be uploaded (check #566931).
    - Added upstream uploader into the about-to-dissappear repacking
      source target gpg keyring ('source-repkg').
  * The 'All systems are go!' upload.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Sun, 31 Jan 2010 17:11:20 -0300

vidalia (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Erinn Clark <erinn@torproject.org>  Fri, 15 Jan 2010 16:14:58 -0800

vidalia (0.2.5-1) experimental; urgency=low

  * Upstream development release:
   o Add support in the Network settings page for configuring the
     Socks4Proxy and Socks5Proxy* options added on Tor 0.2.2.1-alpha.
   o Add a context menu for highlighted event items in the "Basic" message
     log view that allows the user to copy the selected item text to the
     clipboard.
   o Maybe fix a time conversion bug that could result in Vidalia
     displaying the wrong uptime for a relay in the network map.
   o Stop trying to enforce proper quoting and escaping of arguments to be
     given to the proxy executable.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 27 Oct 2009 14:16:32 -0300

vidalia (0.2.4-2) experimental; urgency=low

  * Added repackaging from source target functionalty on debian scripts
   - README.Source
   - debian/rules
  * Fix bug which points to a non running Tor process

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Mon, 19 Oct 2009 19:36:29 -0300

vidalia (0.2.4-1) experimental; urgency=low

  * Upstream development branch sync. 

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Sat, 12 Sep 2009 09:26:18 -0300

vidalia (0.2.0-1) experimental; urgency=low

  * Upload of development branch.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Thu, 23 Jul 2009 22:48:05 -0300

vidalia (0.1.15-2) unstable; urgency=low

  * Added repackaging from source target functionalty on debian scripts
   - README.Source
   - debian/rules
  * Fix bug which points to a non running Tor process (Closes: #542670).

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Mon, 19 Oct 2009 19:20:36 -0300

vidalia (0.1.15-1) unstable; urgency=low

  * New upstream release.
  * Debconf translations:
    - Czech (Closes: #535973).
  * Really fix debconf script issue.
  * Update Standard-version to 3.8.2 (no changes needed)

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 21 Jul 2009 06:00:49 -0300

vidalia (0.1.13-3) unstable; urgency=low

  * Fixing debconf scripts issue that output twice the same message.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Thu, 11 Jun 2009 00:48:57 -0300

vidalia (0.1.13-2) unstable; urgency=low

  * Update Upstream URL on debian/watch

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 09 Jun 2009 22:05:58 -0300

vidalia (0.1.13-1) unstable; urgency=low

  [ Vern Sun ]
  * New upstream release.
  * Add Debconf zh_TW.po.

  [ Ulises Vitulli ]
  * Force scripts to die in case something goes wrong:
    - debian/config
    - debian/postinst
  * Remove deprecated directive dh_desktop.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Wed, 03 Jun 2009 20:11:57 -0300

vidalia (0.1.12-1) unstable; urgency=low

  [ Vern Sun ]
  * New upstream release

  [ Ulises Vitulli ]
  * debian/watch: avoid evaluating development releases.
  * debian/control: updated to 3.8.1 Policy.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Sat, 11 Apr 2009 11:00:18 -0300

vidalia (0.1.11-1) unstable; urgency=low

  * New upstream release.
  * Added README.source.

 -- Vern Sun <s5unty@gmail.com>  Wed, 25 Feb 2009 11:55:46 +0800

vidalia (0.1.10-1) unstable; urgency=low
   
  [ Vern Sun ]
  * New upstream release.


=== debian/control ===
Source: vidalia
Section: net
Priority: extra
Maintainer: Vern Sun <s5unty@gmail.com>
Uploaders: Ulises Vitulli <uvitulli@fi.uba.ar>, Erinn Clark <erinn@torproject.org>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, libqt4-dev (>= 4.1.0), po-debconf (>= 1.0), cmake (>= 2.4.8), libssl-dev (>= 0.9.8g), quilt
Standards-Version: 3.8.4
Homepage: http://www.vidalia-project.net

Package: vidalia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>=1.5.11) | debconf-2.0, ucf
Recommends: tor
Suggests: iceweasel-torbutton
Description: controller GUI for Tor
 Vidalia offers a graphical user interface to start and stop Tor, view
 its status at a glance, and monitor its bandwidth usage.
 .
 Vidalia also makes it easy to contribute to
 the Tor network by helping you set up a Tor server.
 .
 Tor protects privacy in communications via a distributed network of
 relays run by volunteers all around the world: it prevents anybody
 watching Internet connections from learning what sites you visit,
 and it prevents the visited sites from learning your physical
 location. Tor works with web browsers, instant messaging programs,
 remote login clients, and many other TCP-based applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Used for repacking upstream tarball
UPVERSION=$(shell echo `head -n 1 debian/changelog|sed -e 's/^[^(]*(\([^)]*\)).*/\1/'`|sed -e 's/-.*//')


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp
	
build: build-stamp 

build-stamp:
	dh_testdir
	mkdir -p debian/build;
	cd debian/build; \
		cmake -DCMAKE_INSTALL_PREFIX=/usr \
			-DQT_LRELEASE_EXECUTABLE=/usr/bin/lrelease-qt4 \
			-QT_LUPDATE_EXECUTABLE=/usr/bin/lupdate-qt4 ../.. ;\
		make
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp CMakeCache.txt doc/Doxyfile \
		doc/vidalia.1 src/vidalia/res/vidalia_win.rc 
	rm -rf debian/build CMakeFiles
	for f in src/vidalia/i18n/*.qm; do\
		rm -rf $$f; \
	done
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/share/pixmaps
	# Install the package
	cd debian/build; \
		make install DESTDIR=$(CURDIR)/debian/vidalia

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs CHANGELOG
	dh_installman doc/vidalia.1
	dh_installdebconf
	dh_installmenu
	dh_link
	dh_strip
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
